Page MenuHomePhabricator

Shelf gadgets that use genlist in the popup make E crash
Closed, ResolvedPublic

Description

Just try the packagekit gadget,
the same segfault happend in all gadgets that use a genlist in the popup

DaveMDS created this task.Feb 9 2018, 12:29 PM

can't you reproduce this issue ?

DaveMDS raised the priority of this task from Pending on user input to Incoming Queue.Feb 9 2018, 1:28 PM

pending on user input.... :/
I read again the report-bug document and the only thing I missed seems to be:

Step-by-step instructions for recreating the bug;
The expected results;
The actual results;

So here it is:
Step-by-step to reproduce the bug:

  1. place the packagekit gadget in a shelf
  2. click on it to open the popup

The expected results:
a popup should appear

The actual results:
Enlightenment crash with the white-screen-of-death

zmike triaged this task as Pending on user input priority.Feb 9 2018, 1:33 PM

You've been here for long enough to know that if you have a crash you should attach the backtrace.

I have over 1000 tickets assigned to me across various bug trackers. The odds of any ticket being resolved by me if no additional info is provided is near 0%.

DaveMDS raised the priority of this task from Pending on user input to Incoming Queue.Feb 9 2018, 2:18 PM

WHAT THE FUCK ?? Stop changing the priority to "Pending on user input" !!!!

If you do so no one else will look at this ticket anymore, thinking that this really need something from me.

You are not the only developer involved in this ticket! infact I was already in agreement with @bu5hm4n
that kindly offered to help investigating/resolving this issue.

(Note that I didn't assigned this to you, you where assigned by the automatic system)

I also suggested to you that you file this ticket to efl, which it is an efl bug unless you have a trace to prove otherwise, and I know there are genlist changes and fixes according to several efl devs. I suggested you change it from enlightenment to efl and assign it to @bu5hm4n intead of @zmike and you told me to do it like it was my ticket or something.

I am on latest with efl and e, and it works ... (well the list is empty) but i dont get crashes ...

bu5hm4n added a comment.EditedFeb 10 2018, 3:32 AM

Reproduced!

#0  0x00007ffff4152a4f in ecore_wl2_input_seat_id_get (input=0x40000004a3b6) at lib/ecore_wl2/ecore_wl2_input.c:1818
#1  0x00007ffff4eea2e6 in _wl_default_seat_id_get (obj=0x0) at lib/elementary/efl_selection.c:138
#2  0x00007ffff4eec380 in elm_drop_target_del (obj=0x40000038b150, format=6, enter_cb=0x7ffff4cadd00 <_dnd_enter_cb>, enter_data=0x0, leave_cb=0x7ffff4cadd30 <_dnd_leave_cb>, leave_data=0x0, pos_cb=0x7ffff4cadd70 <_dnd_pos_cb>, pos_data=0x0, drop_cb=0x7ffff4cadea0 <_dnd_dr
op_cb>, drop_data=0x0) at lib/elementary/efl_ui_dnd.c:469
#3  0x00007ffff4ca47b3 in _elm_entry_editable_set (obj=0x40000038b150, sd=0x555556964db0, editable=0 '\000')
    at lib/elementary/elm_entry.c:4269
#4  0x00007ffff4c9aca4 in elm_obj_entry_editable_set (obj=0x40000038b150, editable=0 '\000')
    at ../src/lib/elementary/elm_entry.eo.c:114
#5  0x00007ffff4ca1f6f in elm_entry_editable_set (obj=0x40000038b150, editable=0 '\000')
    at ../src/lib/elementary/elm_entry.eo.c:846
#6  0x00007fffadb8de44 in packagekit_popup_new (inst=0x555556668fb0) at ../src/modules/packagekit/e_mod_packagekit.c:451
#7  0x00007fffadb8c9c2 in _mouse_down_cb (data=0x555556668fb0, evas=0x40000000dac4, obj=0x4000002554a8, event=0x55555690a940)

PHU! it was not me :)
(and unrelated to genlist ...)

bu5hm4n edited projects, added efl; removed enlightenment-git.Feb 10 2018, 3:34 AM
bu5hm4n reassigned this task from zmike to thiepha.
bu5hm4n added a subscriber: herdsman.

I dont know if its weather text related or dnd related. :)

raster closed this task as Resolved.Feb 17 2018, 1:18 AM
raster added a subscriber: raster.

it seems i fixed this without even knowing about this ticket... woot.

8a1ac683d4b690adb4c98c4d7f395b4e3b08d8d9

@raster: thanks, you are my hero !